

building:
  stage: build
  image: registry.gitlab.com/linaro/tuxtrigger/tuxtrigger
  variables:
    CACHE_DIR: "$CI_PROJECT_DIR/.cache/"
    TUXSUITE_TOKEN: $TUXSUITE_TOKEN
    SQUAD_TOKEN: $SQUAD_TOKEN
    SQUAD_HOST: $SQUAD_HOST
  script:
    - python3 -m tuxtrigger share/config.yaml --plan share/plans --output share/output_file.yaml --log-level=info --log-file share/log.txt
  cache:
    paths:
    - ${CI_PROJECT_DIR}/share
  artifacts:
    paths:
    - ${CI_PROJECT_DIR}/share/log.txt
    - ${CI_PROJECT_DIR}/share/output_file.yaml
  
  